pomp2_user_lib.h File Reference

This file contains the declarations of all POMP2 functions. More...

`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Typedefs

typedef void * | OPARI2_Region_handle

## Functions

Functions generated by the instrumenter
size_t | POMP2_USER_Get_num_regions (void)
void | POMP2_USER_Init_regions (void)
const char * | POMP2_Get_opari2_version (void)
void | POMP2_Finalize (void)
void | POMP2_Init (void)
void | POMP2_Off (void)
void | POMP2_On (void)
void | POMP2_Begin (POMP2_USER_Region_handle *pomp2_handle, const char ctc_string[])
void | POMP2_End (POMP2_USER_Region_handle *pomp2_handle)
void | POMP2_USER_Assign_handle (POMP2_USER_Region_handle *pomp2_handle, const char ctc_string[])

## Detailed Description

This file contains the declarations of all POMP2 functions.

## Typedef Documentation

typedef void* OPARI2_Region_handle

Handles to identify OpenMP regions. To avoid multiple typedefs of OPARI2_Region_handle

## Function Documentation

void POMP2_Begin | ( | POMP2_USER_Region_handle * | pomp2_handle,
|  | const char | ctc_string[]
| ) |  |

Called at the begin of a user defined POMP2 region.

Parameters

  pomp2_handle | The handle of the started region.
  ctc_string | A string containing the region data.

void POMP2_End | ( | POMP2_USER_Region_handle * | pomp2_handle | ) |

Called at the begin of a user defined POMP2 region.

Parameters

  pomp2_handle | The handle of the started region.

void POMP2_Finalize | ( | void |  | ) |

Finalizes the POMP2 adapter. It is inserted at the #pragma pomp inst end.

const char* POMP2_Get_opari2_version | ( | void |  | ) |

Returns the OPARI2 version.

Returns
  version string

void POMP2_Init | ( | void |  | ) |

Initializes the POMP2 adapter. It is inserted at the #pragma pomp inst begin.

void POMP2_Off | ( | void |  | ) |

Disables the POMP2 adapter.

void POMP2_On | ( | void |  | ) |

Enables the POMP2 adapter.

void POMP2_USER_Assign_handle | ( | POMP2_USER_Region_handle * | pomp2_handle,
|  | const char | ctc_string[]
| ) |  |

Registers a POMP2 region and returns a region handle.

Parameters

  pomp2_handle | Returns the handle for the newly registered region.
  ctc_string | A string containing the region data.

size_t POMP2_USER_Get_num_regions | ( | void |  | ) |

Returns the number of instrumented regions.
The instrumenter scans all OPARI2-created include files with nm and greps the POMP2_INIT_uuid_numRegions() function calls. Here we return the sum of all numRegions.

Returns
  number of instrumented regions

void POMP2_USER_Init_regions | ( | void |  | ) |

Init all OPARI2-created regions.
The instrumentor scans all OPARI2-created include files with nm and greps the POMP2_INIT_uuid_numRegions() function calls. The instrumentor then defines these functions by calling all grepped functions.